Package: groovy.org.codenarc.rule.naming

## [Groovy] Class ClassNameSameAsFilenameRule

- groovy.org.codenarc.rule.naming.ClassNameSameAsFilenameRule

- Reports files containing only one top level class / enum / interface which is named differently than the file.

  Authors:
    Artur Gajowy
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List<Violation> violations)`
    `` | `String` | `classNodeType(org.codehaus.groovy.ast.ClassNode classNode)`

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override void applyTo(SourceCode sourceCode, List<Violation> violations)

    - #### String classNodeType(org.codehaus.groovy.ast.ClassNode classNode)